include		/etc/openldap/schema/core.schema
include		/etc/openldap/schema/cosine.schema
include         /etc/openldap/schema/nis.schema
include		/etc/openldap/schema/inetorgperson.schema

#include	 /etc/openldap/schema/rfc2307bis.schema
#include	 /etc/openldap/schema/yast.schema
#include         /etc/openldap/schema/qmailuser.schema

include         /etc/openldap/schema/phpgwaccount.schema
include         /etc/openldap/schema/samba3.schema
include         /etc/openldap/schema/phpgwcontact.schema

####################################
# Global Directives:
sizelimit -1
timelimit -1
threads 16
schemacheck	on
loglevel	0
#backend	bdb
####################################

#referral	ldap://root.openldap.org
pidfile		/var/run/slapd/slapd.pid
argsfile	/var/run/slapd/slapd.args

modulepath	/usr/lib/openldap/modules
# moduleload	back_ldap.la
# moduleload	back_meta.la
# moduleload	back_monitor.la
# moduleload	back_perl.la

access to dn.base=""
        by * read

access to dn.base="cn=Subschema"
        by * read

access to attrs=userPassword,userPKCS12
        by dn="cn=manager,LDAP_DN" write
        by anonymous auth
        by self write
        by * auth

access to attrs=shadowLastChange
        by self write
        by * read

access to *
        by dn="cn=manager,LDAP_DN" write
        by * read

#######################################################################
# BDB database definitions
#######################################################################
database	ldbm
suffix		"LDAP_DN"
#checkpoint      1024    5
checkpoint      512    30
cachesize       10000
rootdn		"cn=manager,LDAP_DN"
rootpw		LDAP_PWD
directory	/var/lib/ldap

# Indices to maintain
#index	objectClass	eq

# Indexing options for database #1
index   mail,objectClass,memberUid,uidNumber,phpgwAccountType,gidNumber,phpgwAccountStatus,ou pres,eq
index   uid,cn,sn,givenName pres,eq,sub
